Mený principale
 Notizie
 Grafica
 Forum
 Links
 Retro Trailer
 Recensioni
 Modelli Amiga
 Storia Amiga
 Lista Utenti
 Policy sito
Ricerca Google

Login

Nick


Password


14 Novembre 2017 Postato da: carlo
OS 3.9 su 68000

Modificato il 14/11/2017 alle ore 12:13:17

Commenti: 37  Aggiungi - Pagine: 1-2

Indice: Forum / Software Amiga in generale

Pagine: -1- [2] -

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 21
carlo 14 Novembre 2017    22:08:21
Diciamo che AmigaOS è stand-alone gli installatori sono un optional e quindi non si è obblicati ad usarli. Detto questo Installare con il CD OS 3.9 su OS 2.x è una vera impresa, per installare il CD OS3.9 ed eseguire lo script occorre "Installer" comando sconosciuto ai sistemi 2.x, come lo è il datatypes.library, oltre alle due applicazioni indispensabili serve anche la "rexxsyslib.library" che è reperibile per il 2.x ma non basta per insllare OS 3.9. Per Installare bisgnorebbe modificare lo script installazione e usare un'altro installatore compatibile 2.x, che per quei sistemi bon avevamo uno standard come il 3.x.

Pegasus RyuSei Ken

Post inviati: 8323

Visulizza profilo Messaggio Personale
79.30.53.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 22
Seiya 14 Novembre 2017    23:39:33
infatti ci ho provato tutto il pomeriggio a cercare di installare dal CD, ma gura l'installer anche con la versione per 68000.

Commento modificato il 15/11/2017 alle ore 14:42:05

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 23
carlo 15 Novembre 2017    00:11:30
Il Guru si presenta solo quando c'è un errore, anche se lanci Multiview non succede nulla e non esce un GURU, questo perchè non ci sono errori ma solo incompatibilità di sistema, al massimo ti potrebbe uscire un messaggio che ti dice che ha bisogno di un Os superiore. Se aggiungi nel sistema 2.x la libreria "rexxsyslib.library" appropriata e poi lanci l'installer dal CD probabilmente ti esce il GURU.

Commento modificato il 15/11/2017 alle ore 00:13:53

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 24 in risposta al 22 di Seiya
carlo 15 Novembre 2017    10:34:05
Citazione

infatti ci ho provato tutto il pomeriggio a cercare di installare dal CD, ma non gura l'installer anche con la versione per 68000.


Immagine

Post inviati: 5762

Visulizza profilo Messaggio Personale
79.41.28.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 25
DanyPPC 15 Novembre 2017    13:26:13
Un giorno mi spiegherete il perchè di questa perdita di tempo

O è solo un modo di impiegare il tempo ?

A1200T OS3.9 BB4 PPC 240/060/256MB/BVision/IndivisionAGA MK2cr/BMon Switch/HD 80GB/DVD-RW/Drive 1,76Mb/Honey Bee CD32 Pad

A1200 OS3.9 BB4 ACA030/42/128MB/CF8GB/PCMCIA 4GB/PSX Adapter

A1200 OS3.9 BB4 030/50/64MB/CF16GB/PCMCIA 4GB/PSX Adapter

A1200 OS 3.1 2MB

A600 OS2.0 2MB/Gotek/Sega Pad

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 26
carlo 15 Novembre 2017    14:24:57
Dany era solo un esperimento e nulla più, giusto per dimostrare che la cosa in qualche modo era fattibile, cosa che su altri sistemi operativi magari è più difficile intraprendere, poi sono esperienze che accresconono le conoscenze e fanno capire meglio come funziona AmigaOS; di sicuro chi ha fatto questa esperienza ha imparato o approfondito argomenti che prima non conosceva bene.

Commento modificato il 15/11/2017 alle ore 14:34:43

Pegasus RyuSei Ken

Post inviati: 8323

Visulizza profilo Messaggio Personale
95.251.220.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 27
Seiya 15 Novembre 2017    14:50:07
Citazione

di sicuro chi ha fatto questa esperienza ha imparato o approfondito argomenti che prima non conosceva bene.


questo esperimento dimostra che il 3.9 va installato solo su A1200 con kickstart 3.1 e malgrado ci sia un piccola compatibilità con altri kickstart, è inusabile
Magari sarebbe più interessante cercare di dimostrare che si può usare un 68040 con un A500 con un particolare kickstart.




Commento modificato il 15/11/2017 alle ore 14:54:12

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 28
carlo 15 Novembre 2017    14:54:24
Guarda che il Workbench così aggiornato funziona bene se si usano applicazioni native 68000 e che non usano Reaction o CPU 68020, in più si possono sfuttare le funzioni che ha il nuovo Workbench.

Commento modificato il 15/11/2017 alle ore 16:37:18

Pegasus RyuSei Ken

Post inviati: 8323

Visulizza profilo Messaggio Personale
95.245.196.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 29
Seiya 15 Novembre 2017    20:42:25
il 3.9 è basato "tutto" su reaction.
e se non puoi usare reaction..che senso ha..?

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 30
carlo 15 Novembre 2017    21:16:28
Seiya non mi sono spiegato bene, quello che io ho fatto altro non è che un A600 con un aspetto "diverso" quello che potrà fare è quello che A600 ha sempre fatto nulla di più e niente di meno. La mia era solo la curiosità, oggi l'ho completato è l'unica cosa che non sono riuscito a fare è quello di tradurre in italiano il menu sistema, quello delle applicazioni del Workbench e programmi sono stati tradotti, questo comunque è normale, i file che compongono i menu sul 3.9 hanno dei file di localizzazione differenti che non funzionano con il locale del 2.1, vedi screenshot. Comunque tutto questo resta un espertimento che non serve a nessuno, a me è servito solo per studiare le particolari differenze fra i due sistemi che magari mi serviranno per capire e risolvere problemi futuri, io ho sempre fatto questo tipo di esperimenti e grazie a questi ho acquisito una certa esperienza.

Immagine

Commento modificato il 15/11/2017 alle ore 21:41:09

Post inviati: 1550

Visulizza profilo Messaggio Personale
146.241.160.*** Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/604.3.5 (KHTML, like Gecko) Version/11.0.1 Safari/604.3.5
Commento 31
alessandrobilbao 15 Novembre 2017    23:06:39
Io la trovo una cosa lodevole e interessante, complimenti a chi l'ha proposta e attuata!

Amiga 4000/040 - CyberStorm PPC - Cybervision PPC - X-Surf 100 - Bridgeboard A2386SX 8Mb - ISA VGA - ISA Sound Blaster 16 - Hard disk UWSCSI - Masterizzatore IDE - ZIP IDE

Post inviati: 11780

Visulizza profilo Messaggio Personale
213.45.20.*** Mozilla/5.0 (Windows NT 6.1; rv:58.0) Gecko/20100101 Firefox/58.0
Commento 32
carlo 24 Novembre 2017    08:36:02
Si perchè si riesce a capire le notevoli differenze e i progressi fatti dei vari OS Amiga, peccato che all'improvviso tutto si sia fermato.

Il Webmaster

Post inviati: 3066

Visulizza profilo Messaggio Personale
95.236.206.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 33
Mak73 25 Novembre 2017    10:52:39
In realtà non hai un 3.9, hai creato un ibrido, perchè non ha le ROM 3.1, quindi è un 2.05 che fa funzionare parte di un OS 3.9.

Potrebbe essere più interessante provare ad installarlo su un sistema che sia realmente in grado di farlo funzionare, come un A500/600 accelerato e con un po' di ram, così che sia possibile inserire la rom 3.1 in ram e quindi installare proprio il 3.9 usufruendo magari di una CPU 030 che sia quindi in grado di far funzionare il 3.9 al completo.

Pace e bene a tutti.

Post inviati: 11780

Visulizza profilo Messaggio Personale
213.45.20.*** Mozilla/5.0 (Windows NT 6.1; rv:58.0) Gecko/20100101 Firefox/58.0
Commento 34
carlo 25 Novembre 2017    10:57:51
Si questo credo sia possibile farlo, un po' come quando su A1200 con Kick3.0 caricavamo il Kick3.1 in Ram intanto si potrebbe sperimentare su WinUAE e poi spostare il sistema su un vero Amiga.

Commento modificato il 25/11/2017 alle ore 11:39:05


80.117.70.*** Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 35 in risposta al 33 di Mak73
ivan74 25 Novembre 2017    11:39:53
Citazione

In realtà non hai un 3.9, hai creato un ibrido, perchè non ha le ROM 3.1, quindi è un 2.05 che fa funzionare parte di un OS 3.9.

Potrebbe essere più interessante provare ad installarlo su un sistema che sia realmente in grado di farlo funzionare, come un A500/600 accelerato e con un po' di ram, così che sia possibile inserire la rom 3.1 in ram e quindi installare proprio il 3.9 usufruendo magari di una CPU 030 che sia quindi in grado di far funzionare il 3.9 al completo.


Questa cosa l'avevo provata sul mio 600 con aca 630 32 MB di ram pero con il kick 31 fisico, il 3.9 funzionava perfettamente solo non avevo l'AGA.

Post inviati: 5762

Visulizza profilo Messaggio Personale
79.52.96.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 36
DanyPPC 25 Novembre 2017    11:55:57
Le roms 3.1 esistono anche per A500/600/2000 in versione 41.063.
Anche Cloanto le produce.

Quindi un sistema A600 idoneo a far girare l'OS3.9 è dotato di Rom 3.1 ed un'acceleratrice 030 come consiglia mak73.
Che poi è il minimo richiesto da questo OS. Io ho provato a farlo girare sul MiST che simula una CPU 020 con 24MB di memoria Fast.
Si avvia ma è troppo lento per i miei gusti, abituato a vederlo "volare" sul semplice 1200 desktop con Blizzard 1230.

A1200T OS3.9 BB4 PPC 240/060/256MB/BVision/IndivisionAGA MK2cr/BMon Switch/HD 80GB/DVD-RW/Drive 1,76Mb/Honey Bee CD32 Pad

A1200 OS3.9 BB4 ACA030/42/128MB/CF8GB/PCMCIA 4GB/PSX Adapter

A1200 OS3.9 BB4 030/50/64MB/CF16GB/PCMCIA 4GB/PSX Adapter

A1200 OS 3.1 2MB

A600 OS2.0 2MB/Gotek/Sega Pad

Post inviati: 11780

Visulizza profilo Messaggio Personale
213.45.20.*** Mozilla/5.0 (Windows NT 6.1; rv:58.0) Gecko/20100101 Firefox/58.0
Commento 37 in risposta al 35 di ivan74
carlo 25 Novembre 2017    12:43:50
Citazione

il 3.9 funzionava perfettamente solo non avevo l'AGA.

Leggi QUI la motivazione

Pagine: -1- [2] -

Utenti Online
Utenti registrati: 886 dal 1 Gennaio 2006
di cui online: 0 registrati - 
11 non registrati

Benvenuto all'ultimo utente registrato: Gaetano74

Buon Compleanno a cucculis - jackie2_it - 

© Amigapage 1998 - 2007 - Sito italiano dedicato alla piattaforma Amiga ed evoluzioni varie.
Struttura del sito interamente ideata e realizzata da Marco Lovera e Alessandra Lovera - Tutto il materiale inserito all'interno del sito Ť dei rispettivi autori/creatori.
E' assolutamente vietata la riproduzione o la manipolazione di tutti i contenuti o parte di essi senza l'esplicito consenso degli amministratori e degli autori/creatori.

Eseguito in 0.16110515594482 secondi